package be.iminds.ilabt.jfed.highlevel.jobs;

import be.iminds.ilabt.jfed.TestAuthoritiesModule;
import be.iminds.ilabt.jfed.highlevel.stitcher.StitchingTestSetupConfig;

/**
 * User: twalcari
 * Date: 12/9/2015
 * Time: 11:38
 */
public class StitchedTestAuthoritiesModule extends TestAuthoritiesModule {

    public StitchedTestAuthoritiesModule(StitchingTestSetupConfig conf) {
        super(new TestAuthoritiesModule.AMConfig(conf.am(1).hasV2, conf.am(1).hasV3, conf.am(1).advUpToDate, conf.am(1).supportsAny),
                new TestAuthoritiesModule.AMConfig(conf.am(2).hasV2, conf.am(2).hasV3, conf.am(2).advUpToDate, /*conf.am(2).supportsAny*/true), //usefull for testing that sometimes any is not reported as unsupported
                conf.amCount() < 3 ? new TestAuthoritiesModule.AMConfig()/*defaults*/ :
                        new TestAuthoritiesModule.AMConfig(conf.am(3).hasV2, conf.am(3).hasV3, conf.am(3).advUpToDate, conf.am(3).supportsAny));
    }

}
